### Enumeration

# Phosh ShellDebugFlags

since: 0

#### Declaration

    flags Phosh.ShellDebugFlags

#### Description [src]

These flags are to enable/disable debugging features.

Available since: 0

#### Members

`PHOSH_SHELL_DEBUG_FLAG_NONE`

  No debug flags.

  - Value: `0`
  - Nickname: `none`
  - Available since: 0
`PHOSH_SHELL_DEBUG_FLAG_ALWAYS_SPLASH`

  Always use splash (even when docked)

  - Value: `1`
  - Nickname: `always-splash`
  - Available since: 0
`PHOSH_SHELL_DEBUG_FLAG_FAKE_BUILTIN`

  When calculatiog layout treat the first virtual output like a built-in output.

  - Value: `2`
  - Nickname: `fake-builtin`
  - Available since: 0